
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C# Coding Standard / iVAN</title>

    <meta name="description" content="C# Coding Standard standard 在以前版本的Visual Studio中,微软曾建议使用匈牙利命名法来写代码.在最近发布的.NET和它的编程语言中,微软更换了他的这一法则. 1. 对格式与方法名称使用PASCAL风格[1] public class SomeClass { public SomeMethod(){} } 2. 对局部变量和方法参数使用Camel风格[2] int number; void MyMethod(int someNumber) {} 3. 使用I作为接口前缀 interface IM">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C# Coding Standard</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>standard</p>
<p>在以前版本的Visual Studio中,微软曾建议使用匈牙利命名法来写代码.在最近发布的.NET和它的编程语言中,微软更换了他的这一法则.</p>
<p>1.       对格式与方法名称使用PASCAL风格[1]</p>
<p>public class SomeClass</p>
<p>{</p>
<p>public SomeMethod(){}</p>
<p>}</p>
<p>2.       对局部变量和方法参数使用Camel风格[2]</p>
<p>int number;</p>
<p>void MyMethod(int someNumber)</p>
<p>{}</p>
<p>3.       使用I作为接口前缀</p>
<p>interface IMyInterface</p>
<p>{..}</p>
<p>4.       使用m_作为私有成员变量前缀</p>
<p>public class SomeClass</p>
<p>{</p>
<p>private int m_Number;</p>
<p>}</p>
<p>5.       使用Attribute作为自定义属性类的后缀</p>
<p>6.       使用Exception作为自定义异常处理类的后缀</p>
<p>7.       使用动词形式命名方法名,如ShowDialog()</p>
<p>8.       带有返回值的方法应该有一个方法来描述返回值,如GetObjectStatus()</p>
<p>9.       使用易描述的变量名称</p>
<p>l         避免使用单一字符描述变量名称,如i或t.应使用index或temp替代</p>
<p>l         对共有以及受保护成员避免使用匈牙利命名法则[3]</p>
<p>l         绝不使用缩写字符,如使用num代替number</p>
<p>10.   总是使用C#预定义格式,而不使用在System空间内的别名</p>
<p>object    NOT        0bject</p>
<p>string     NOT        String</p>
<p>int          NOT        Int32</p>
<p>11.   一般的,对于格式使用大写字母,当处理.NET格式Type时使用Type后缀</p>
<p>//Correct:</p>
<p>public class LinkedList&lt;K, T&gt;</p>
<p>{..}</p>
<p>//Avoid:</p>
<p>public class LinkedList&lt;KeyType,DataType&gt;</p>
<p>{..}</p>
<p>12.   使用易理解的命名空间[4]名称,如产品或公司名称</p>
<p>13.   避免使用命名空间的完整限定名称,应使用using声明替代</p>
<p>14.   避免using声明放置在命名空间内部</p>
<p>15.   将所有的框架命名空间分组,将用户或第三方命名空间放置在其下</p>
<p>using System;</p>
<p>using System.Collections;</p>
<p>using System.ComponentModel;</p>
<p>using System.Data;</p>
<p>using MyCompany;</p>
<p>using MyControls;</p>
<p>16.   使用委托引用[5]代替显式的委托实例</p>
<p>delegate void SomeDelegate();</p>
<p>public void SomeMethod()</p>
<p>{..}</p>
<p>SomeDelegate someDelegate=SomeMethod;</p>
<p>17.   保持严格的缩进</p>
<p>l         对缩进使用3个空格位</p>
<p>l         绝不使用TAB或者不标准的缩进,如1,2或4个空格位</p>
<p>18.   将注释缩拍在与代码缩进同等级的位置上</p>
<p>19.   所有的注释应该通过拼写检查.拼错的注释将预示冗余的开发</p>
<p>20.   所有的成员变量应该在开始就被声明,并使用单独一行将属性与方法区域分开</p>
<p>public class MyClass</p>
<p>{</p>
<p>int m_Number;</p>
<p>string m_Name;</p>
<p>public void SomeMethodl()</p>
<p>{}</p>
<p>public void SomeMethod2()</p>
<p>{}</p>
<p>}</p>
<p>21.   在离第一次使用变量尽可能近的地方声明该局部变量</p>
<p>22.   文件名称应反映出其包含的类</p>
<p>23.   当使用partial类[6]并将其分配给每个文件一部分时,对每个文件命名使用后缀P并附带一个额外的数字</p>
<p>//In MyClassP1.cs</p>
<p>public partial class MyClass</p>
<p>{..}</p>
<p>// In MyClassP2.cs</p>
<p>public partial class MyClass</p>
<p>{..}</p>
<p>24.   将反括号({)放置与新的一行</p>
<p>25.   对于匿名方法参照有规律的代码规划,其缩进应与匿名委托声明对齐</p>
<p>delegate void SomeDelegate (string someString);</p>
<p>//Correct:</p>
<p>public void InvokeMethod()</p>
<p>{</p>
<p>SomeDelegate someDelegate=delegate (string name)</p>
<p>{</p>
<p>MessageBox.Show(name);</p>
<p>};</p>
<p>someDelegate ("Juval");</p>
<p>}</p>
<p>//Avoid</p>
<p>public void InvokeMethod()</p>
<p>{</p>
<p>SomeDelegate someDelegate=delegate (string name)</p>
<p>{MessageBox.Show(name);};</p>
<p>someDelegate(”Juval");</p>
<p>}</p>
<p>26.   对于匿名缺省参数的方法,应该使用空括号表示.</p>
<p>delegate void SomeDelegate();</p>
<p>//Correct</p>
<p>SomeDelegate someDelegate1=delegate()</p>
<p>{</p>
<p>MessageBox.Show("Hello");</p>
<p>};</p>
<p>//Avoid</p>
<p>SomeDelegate someDelegate1=delegate</p>
<p>{</p>
<p>MessageBox.Show("Hello");<br />       };</p>
<p>由于本人E文有限，所以翻译注释不当之处，请指明。</p>
<p>[1] 特指使用Pascal的命名规范命名类型和方法的名字</p>
<p>[2] 特指使用camel命名规范命名局部变量和方法的参数</p>
<p>[3] 匈牙利命名法则:变量名=变量类型+变量的英文意思(或缩写)</p>
<p>[4] namespace用于声明一个范围.此命名空间范围允许您组织代码并为您提供了创建全局唯一类型的方法.</p>
<p>[5] delegate声明定义一种引用类型,该类型可用于将方法用特定的签名封装.委托实例封装静态方法或实例方法. 委托大致类似于C++中的函数指针;但是,委托是类型安全和可靠的</p>
<p>[6] partial简单来说即是使用不完整的类定义并且将部分分配到每个文件中</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 09:38:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/public/" title="public">public</a>, <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f/" title="变量">变量</a>, <a href="https://www.iamivan.net/tag/%e5%90%8d%e7%a7%b0/" title="名称">名称</a>, <a href="https://www.iamivan.net/tag/using/" title="using">using</a>, <a href="https://www.iamivan.net/tag/camel/" title="camel">camel</a>, <a href="https://www.iamivan.net/tag/delegate/" title="delegate">delegate</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C# Coding Standard的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmNlze.html" rel="bookmark">PHP编码规范-php coding standard</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				standard|编码|规范 目录 介绍 标准化的重要性 解释 认同观点 项目的四个阶段 命名规则 合适的命名 缩写词不要全部使用大写字母 类命名 类库命名 方法命名 类属性命名 方法中参数命名 变量命名 引用变量和函数返回引用 全局变量 定义命名 / 全局常量 静态变量 函数命名 php文件扩展名 文档规则 评价注释 Comments Should Tell a Story Document Decisions 使用标头说明 Make Gotchas Explicit Interface an			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA0A0b.html" rel="bookmark">WCF服务编程设计规范&lpar;1&rpar;：最新版WCF Coding Standard介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;WCF4.0新特性体验&gt;之后,新出一个系列&lt;WCF服务编程设计规范&gt;.这个系列主要关注的是如何设计WCF服务,以及WCF编码规范.这里我会翻译整理一些WCF服务设计相关的资料,分享给大家,并提供英文原版的下载. [1]序言: 这个系列应该实用性比较强,对于大多数使用到WCF的技术人员或者公司来说,都是比较重要的内容,我们需要一套完整的规范来指导服务的设计和编码.这可以作为大家学习WCF一个规范参考,另外如果公司制定WCF相关的编码和服务设计规范的时候,可以参考一下.我会在这个系列			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKw8Ab.html" rel="bookmark">点注《C&num; Coding Standard》Charpter One</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				standard 1 命名规则与风格 在以前版本的Visual Studio中,微软曾建议使用匈牙利命名法来写代码.在最近发布的.NET和它的编程语言中,微软更换了他的这一法则. 1. 对格式与方法名称使用PASCAL风格[1] public class SomeClass { public SomeMethod(){} } 2. 对局部变量和方法参数使用Camel风格[2] int number; void MyMethod(int someNumber) {} 3. 使用I作为接口前缀 in			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9Mxl4RM.html" rel="bookmark">Good Java Style&colon; Part 2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Good Java Style: Part 2By Thornton Rose IntroductionThis is the conclusion of a two-part series on Java coding style. In Good Java Style: Part 1 , I introduced my case for writing Java code using good habits, explained why we should care about the wa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zO9YRM.html" rel="bookmark">Good Java Style&colon; Part 1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Good Java Style: Part 1By Thornton Rose IntroductionHaving worked as a software developer and consultant for many years, I have seen a large amount of code in a variety of programming languages. It has run the gamut from elegant to ugly, and unfortun			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjVLZb.html" rel="bookmark">IDesign C&num;编程规范&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程|规范 续之一,小鸡射手接着翻译了IDesign编码规范的第二章前部. 2 编码惯例 Coding Practices 1. 避免在一个文件中放多个类. Avoid putting multiple classes in a single file. 2. 一个文件应该只对一个命名空间提供类型.避免在同一文件中有多个命名空间. A single file should only contribute types to a single namespace. Avoid having mult			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Xpm93Dp.html" rel="bookmark">C&num;命名规则和开发习惯</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C# Coding Standard 一.命名 1.用pascal规则来命名方法和类型. public class TextBox { public void DataBind() { } } 2.用camel规则来命名局部变量和方法的参数. string userName; public AddUser(string userId, byte[] password); 3.所有的成员变量前加前缀 m_ public class Database { public string m_connec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNGL0M.html" rel="bookmark">Composer使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				是什么 如果你知道yum.apt-get.npm.bower等命令中的一种或者多种,那么,你也能很快知道composer是什么了.没错,它就是PHP里快速安装类库的.平时,我们安装一个PHP类库,需要搜索-&gt;下载:使用composer,我们只要知道包名,直接composer insatll就可以了. PHP 语言本身就带有强大的网络功能.文件管理功能和丰富的系统 API,Composer 也只是一段 PHP 脚本而已. 引自Composer中文网的描述: 是 PHP 用来管理依赖(depende			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd6ga4b.html" rel="bookmark">Qt资料大全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简述 发福利了.发福利了.发福利了,重要的事情说三遍... 为了方便更多Qter了解.学习Qt,现将相关资源进行整理,主要内容包括:Qt官网.编码风格.GitHub &amp; Third-Party.社区论坛.博客.书籍等. 满满的都是干货,独乐乐不如众乐乐... 简述 Qt官网 编码风格 GitHub Third-Party 社区论坛 博客 书籍 更多 Qt官网 Qt官网:https://www.qt.io Qt下载:http://www.qt.io/download Qt所有下载:http://d			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AAKqp.html" rel="bookmark" class="title">jQuery入门&lbrack;5&rsqb;－AJAX</a>
					<div>
						jQuery为AJAX提供了非常丰富的支持,参见Ajax 其中最基本当属$ajax(),通过不同的参数,这个方法可以录活支持各种AJAX应用场景.如: $.ajax({ url: &quot;test ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNP8Ab.html" rel="bookmark" class="title">NoSQL的现状</a>
					<div>
						经过了至少4年的激烈争论,现在是对NoSQL的现状做一个阶段性结论的时候了.围绕着 NoSQL发生了如此之多的事情,以至于很难对其作出一个简单概括,也很难判断它达到了什么 目标以及在什么方面没有达到预 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal7o2z.html" rel="bookmark" class="title">什么是城域网</a>
					<div>
						城域网的涵义原先来自于计算机网络.ITU-T到目前为止,并没有在建议中具体指出在电信网络中城域网的定义. 目前,运营商开始建设的城域网并不同于通常意义的城域网.例如中国移动定义的城域网是指:在地域上覆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Paa6M.html" rel="bookmark" class="title">VC获取系统时间、程序运行时间</a>
					<div>
						1.使用CTime类 CString str; //获取系统时间 CTime tm; tm=CTime::GetCurrentTime(); str=tm.Format(&quot;现在时间是%Y年% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNjG0b.html" rel="bookmark" class="title">用WPS练习汉字书写，自己制作一个书法模板！</a>
					<div>
						前几日,一网友要求我帮助其制作稿纸模板,详细一问,是要填写申请书,恐手写的字不好看,使用稿纸模板,把好看的字体打印出来照着练字. 除了自己制作稿纸模板之外,也可以制作模板进行套打,也就是说先在WPS上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBgADz.html" rel="bookmark" class="title">PHOTOSHOP用户如何迁移到SKETCH？</a>
					<div>
						  据某团队透露,自全司上下都配备Macbook后,设计部的同事们纷纷将Photoshop换成Sketch,改变过程折腾了相当一段时间,于是留下此文,教你如何从Photoshop迁移到Sketch,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaVN8M.html" rel="bookmark" class="title">u盘格式化后数据恢复教程</a>
					<div>
						  现在,EasyRecovery易恢复可以轻松实现U盘格式化后数据恢复,它的强大功能让这一问题得以很容易地解决,下面一起看看U盘格式化后数据恢复的操作: 1.打开EasyRecovery,在主界面上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWwPOb.html" rel="bookmark" class="title">GreenBrowser一键通</a>
					<div>
						一键通 通过设置F1~F12键对应的网址,可以快速的一次打开一个或者一批常用网址. 首先你需要启用一键通功能,然后选择设置某需要的F键,如果你没有在某个F键上设置网址,则浏览器自动调用F键的缺省功能. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKmxKM.html" rel="bookmark" class="title">CPU经常超频工作对CPU的损害</a>
					<div>
						有注意观察电脑硬件说明的人,基本上都知道CUP是有运行速度,这个速度其实是代表该CPU在正常工作状态下的速度.跟汽车发动机一样,由于厂家要保护CPU的质量保证,所以这个运行速度并不是它最快的频率,而且 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72LEXp.html" rel="bookmark" class="title">PotPlayer怎么使用MadVR作为输出滤镜</a>
					<div>
						  安装使用 1.首先,先到官网下载MadVR并解压出来,解压完毕之后,应该是这样的(至少应该存在madVR.ax) 2.拷贝文件或文件夹后,Windows7以上的用户右键以管理员身份运行&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1geob.html" rel="bookmark" class="title">人人都在谈人工智能，这场大会有何不同？</a>
					<div>
						学术引领,创新为先 人工智能技术风潮正以摧枯拉朽之势席卷全球,所及之处,颠覆行行业业,改变你我的生活.而学术研究中的每一次新理论提出,旧问题攻克,都令这股力量更强大--它是浪潮的原动力,是预知未来的风 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k2Q9M.html" rel="bookmark" class="title">多浏览器兼容性比较好的复制到剪贴板的js代码&lowbar;javascript技巧</a>
					<div>
						对于非ie浏览器他是用flash来实现的,js代码如下: 复制代码 代码如下: &lt;script type=&quot;text/javascript&quot;&gt; function cop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwql1p.html" rel="bookmark" class="title">服务端-关于openVPN配置，大大们进</a>
					<div>
						问题描述 关于openVPN配置,大大们进 大大们好,请问如何配置单网卡实现server站点--客户端站点连接,比如服务端是192.168.0.0/24,1号客户端192.168.1.0/24 2号客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRvnBz.html" rel="bookmark" class="title">textbox 和 listbox  组合控件</a>
					<div>
						问题描述 如图怎么让LISbox可以显示在窗体外面,不让窗体给遮蔽主啊.大侠能不能给个方法啊. 解决方案 解决方案二:在线等.有人回复下吗?解决方案三:这个做不到,除非listbox在一个透明的窗体里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlZ43b.html" rel="bookmark" class="title">centos7 mysql数据库安装和配置</a>
					<div>
						一.系统环境 yum update升级以后的系统版本为 [root@yl-web yl]# cat /etc/redhat-release CentOS Linux release 7.1.1503  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40y7Lz.html" rel="bookmark" class="title">求救HELP。。。。。对不起 发错版块了</a>
					<div>
						问题描述 类似登记之类的.先询问员工还是学生,选择好学生还是员工对应学生或员工存到SQL中对应学生:studentID,carID对应员工:staffID,carID(员工还有个季卡失效时间:现在时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5e9BM.html" rel="bookmark" class="title">文本框的主要属性一般设置什么？</a>
					<div>
						问题描述 文本框的主要属性一般设置什么? 在css中,感觉文本框一般设置 方框及边框中的属性就可以, 方框设置元素的大小,填充,边距,而边框设置其大,类型,颜色, 一般应该怎样设置文本框属性? 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXlJmz.html" rel="bookmark" class="title">网站上线规划六部曲 你准备好了吗？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 在生活中无论我们做什么事情都要有一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRERKp.html" rel="bookmark" class="title">Spark 是否真的比 MapReduce 技高一筹</a>
					<div>
						Apache 基金会下的 Spak 再次引爆了大数据的话题.带着比 Hadoop MapReduce 速度要快 100 倍的承诺以及更加灵活方便的 API,一些人认为这或许预示着 Hadoop Map ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg9nYb.html" rel="bookmark" class="title">expect不用输密码自动scp数据</a>
					<div>
						 今天公司要求把一台服务器上的备份sql文件都传到公司本地服务器上,但公司本地服务器上做了key验证的,也就是说要用key才能登录本地服务器,还有外网的那台服务器没有做key验证,好吧,那就直接从那台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXBkyz.html" rel="bookmark" class="title">从百度的产品运营看搜索引擎的商业经</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 让我们先来花点时间描述一下百度公司: 2008年百度公司实现营业收入31.983亿元,营业利润10.967亿元.对比2007年,百度公司营收和营业利润分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq2w1b.html" rel="bookmark" class="title">【智能还是智障】消费者买单少，语音助理公司在自作多情？</a>
					<div>
						以语音对话为基础的智能助理或者聊天机器人当下可用说是无处不在的: 打开电脑和手机,可以调出Siri:打开微信,你可以见到小微--当然,在另一个领域,智能助理更是无处不在--客服,不管是银行.网上商城. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBDo7z.html" rel="bookmark" class="title">struct-c语言中为什么这样赋值后，两个却一样</a>
					<div>
						问题描述 c语言中为什么这样赋值后,两个却一样 #include #include typedef struct HH { int i; int j; struct HH *next; }HH; vo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0AR7M.html" rel="bookmark" class="title">合伙做站要谨慎 分享60万PV网站如何一夜之间滑落</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今年是刚入大学的第一个暑假,闲暇时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60nONz.html" rel="bookmark" class="title">多部门集中清理网上滥用&OpenCurlyDoubleQuote;特供&rdquo;&OpenCurlyDoubleQuote;专供&rdquo;商品</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/30826.html&quot;&gt;国家工商总局日前表示,他们已与中宣部.工信部.监察部.财政部.商务部.质检总局. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjGgOM.html" rel="bookmark" class="title">嵌入式应用中CGI编程中POST、GET及环境变量详解</a>
					<div>
						原载地址:http://3633188.blog.51cto.com/3623188/828095     1.POST和GET      一个CGI程序在于服务器之间的信息传输和数据传输一般通过两种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4en8Yb.html" rel="bookmark" class="title">请教一个关于EF框架的问题，数据库没有设置主键怎么进行增删改</a>
					<div>
						问题描述 最近公司要求我使用C#开发服务接口,使用EF框架连接Oracle数据库,进行数据的操作,由于我之前没有深入接触过EF,现在对一些没有设置主键的表进行插入时发生出错,提示&quot;更新条目时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0Yd4p.html" rel="bookmark" class="title">这个问题有点难，我不知道怎么描述问题咯，</a>
					<div>
						问题描述 这个问题有点难,我都不知道如何描述这个问题咯,我想要的结果是:通过item,得到&quot;Between&quot;具体情况见下图: 解决方案 解决方案二:那就是name属性解决方案三:是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKRaWz.html" rel="bookmark" class="title">以太网交换机地铁环境控制系统方案</a>
					<div>
						一.项目概述 地铁环境控制设备(简称:环控系统)的http://www.aliyun.com/zixun/aggregation/13452.html&quot;&gt;分布式计算机自动化管理与控制系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEv6Ez.html" rel="bookmark" class="title">从索引 0 处开始，初始化字符串的格式不符合规范。</a>
					<div>
						问题描述 我添加了一个类coon.cs:代码如下:usingSystem;usingSystem.Data;usingSystem.Configuration;usingSystem.Web;usin ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
